Issue 126605 - Make sure the source package does not contain extra files
Summary: Make sure the source package does not contain extra files
Status: RESOLVED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: code (show other issues)
Version: 4.1.2-dev
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.4
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-25 22:48 UTC by Andrea Pescetti
Modified: 2017-02-04 21:09 UTC (History)
0 users

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---
arielch: 4.1.4_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2015-10-25 22:48:03 UTC
As found by Damjan and dicussed on the dev list: the source package for OpenOffice 4.1.2-RC3 contains extra files that should not be there. This is a minor error since the extra files are generated by the "configure" step, but we should still define, in terms of scripts, how to convert the "svn export" output to a source package.
Comment 1 Andrea Pescetti 2015-10-26 14:52:33 UTC
As explained by jsc on the dev list:

the src tar balls can be built in instsetoo_native/util

dmake aoo_srcrelease

the Mac config scripts were filtered out in the past before we switched
to 64 bit on MacOS. The ant file (solenv/bin/srcrelease.xml) is a bit
lazy and should be fixed to filter the correct files on Mac and of
course the correct files on Windows and Linux.
Comment 2 Andrea Pescetti 2016-09-30 13:05:48 UTC
This is a good candidate for fixing in trunk first and 4.1.4 later. I'm not proposing it as a 4.1.3 blocker since at this stage it is OK to build the source package exactly as done for 4.1.2.
Comment 3 SVN Robot 2016-10-01 14:12:52 UTC
"pescetti" committed SVN revision 1763017 into trunk:
#i126605# Ignore generated scripts for supported platforms when creating sour...
Comment 4 SVN Robot 2017-02-01 21:38:42 UTC
"arielch" committed SVN revision 1781315 into branches/AOO414:
i126605 - Ignore generated scripts
Comment 5 Ariel Constenla-Haile 2017-02-01 21:51:37 UTC
Fixed on trunk and branch AOO414